<div class='mb-3'>
  <ion-row *ngIf='!_value'>
  <ion-col size='12'>
    <div class='ion-text-center'>
      <h3>{{viewTitle}}</h3>
    </div>
  </ion-col>
</ion-row>
<ion-row>
  <ion-col size='12'>
  <ion-spinner class='spinner-formio'
               *ngIf='isLoading'
               name="crescent" color='primary' size='lg' ></ion-spinner>
    <ng-template #template let-showEventDetail="showEventDetail" let-selectedDate="selectedDate" let-noEventsLabel="noEventsLabel">
    </ng-template>
    <ng-template #templateChangeMonth let-view="view" let-row="row" let-col="col">
      <ion-spinner class='spinner-formio'
                   name="crescent" color='primary' size='lg' ></ion-spinner>
    </ng-template>
  <calendar
    *ngIf='!_value'
    #myCal
    [monthviewInactiveDisplayEventTemplate]="templateChangeMonth"
    [monthviewEventDetailTemplate]="template"
    [currentDate]='calendar.currentDate'
    [locale]='calendar.locale'
    [calendarMode]='calendar.mode'
    (onEventSelected)="onEventSelected($event)"
    (onTitleChanged)="onViewTitleChanged($event)"
    [eventSource]="eventSource"
    [allDayLabel]='calendar.allDayLabel'
    startingDayMonth='1'
    startingDayWeek='1'
    showEventDetail='true'
    [markDisabled]="markDisabled"
    (onCurrentDateChanged)='onCurrentDateChanged($event)'
    [dateFormatter]="calendar.dateFormatter"
    (onTimeSelected)='onTimeSelected($event)'
    autoSelect='false'
    noEventsLabel=''
  ></calendar>
  </ion-col>
  <ion-col *ngIf='value || _value' class='ion-margin-bottom'>
    <ion-card class='ion-no-margin'>
      <ion-item lines='none'>
        <ion-label>
          <p>{{cardCalendar.letteralDaySelected}}</p>
          <h2>{{cardCalendar.slot}}</h2>
        </ion-label>
        <ion-icon size='large' slot="end" name="close-outline" color='primary'
                  class='remove-calendar'
                  (click)='resetCalendar()'></ion-icon>
      </ion-item>
    </ion-card>
  </ion-col>
</ion-row>
</div>
